## org.jboss.ejb
Interface EntityCache

All Superinterfaces:
  ContainerPlugin, InstanceCache, Service

All Known Implementing Classes:
  EntityInstanceCache

public interface EntityCache
extends InstanceCache

EntityCaches can work from several keys A cache can use the natural primaryKey from the EJBObject, or DB dependent keys or a proprietary key

Version:
  $Revision: 1.1 $
Author:
  Marc Fleury
See Also:
  `EntityInstanceCache`

Method Summary
`java.lang.Object` `createCacheKey(java.lang.Object id)` Returns the key used to cache the context

Methods inherited from interface org.jboss.ejb.InstanceCache
`get, insert, isActive, release, remove`

Methods inherited from interface org.jboss.ejb.ContainerPlugin
`setContainer`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Method Detail

### createCacheKey

    public java.lang.Object createCacheKey(java.lang.Object id)

  Returns the key used to cache the context
  Parameters:
    `id` - Object id / primary key
  Returns:
    Cache key

Copyright © 2000 The JBoss Organization. All Rights Reserved.